
Core - Bug # 36946

Bug # 46389 (Accepted): Faulty Workspace Placeholders

Status: Under Review Priority: Must have
Author: Bart Dubelaar Category: DataHandler aka TCEmain
Created: 2012-05-08 Assigned To:
Updated: 2015-01-09 Due date:
TYPO3 Version: 4.7
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Copy paste in live makes draft placeholders visible.
Description

When doing a copy paste of a page and subelements in live, all placeholders (initial, move-to) will show up in the copy.
Frontend rendering will throw an error in case of tt_content placeholders.

Holds for 4.5, 4.6 and 4.7 (didn't check 6.0)

Related issues:
related to Core - Bug # 42075: Copying fails when page has new draft elements... Under Review 2012-10-17

History
#1 - 2012-05-08 14:09 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11076

#2 - 2012-05-08 14:19 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11076

#3 - 2012-07-23 13:10 - Bart Dubelaar

Steps to reproduce:

1. Create a page in the live workspace.
2. Open a draft workspace and add a subpage to the page created in 1.
3. Move back to Live and copy the page created in 1. with recursive copying turned on.
4. The placeholder for the draft subpage will now become visible under the copy of the page.

Same goes for tt_content, in this case frontend output will also be broken.

#4 - 2012-07-23 14:21 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11076

#5 - 2012-10-17 17:36 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11076

#6 - 2012-10-17 18:10 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11076

#7 - 2012-10-17 18:14 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11076

#8 - 2013-02-28 00:50 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/11076

#9 - 2013-03-17 21:09 - Oliver Hader
- Parent task set to #46389

#10 - 2013-06-13 18:53 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/11076

#11 - 2013-07-17 01:08 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/11076

#12 - 2014-01-04 17:57 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/11076

#13 - 2014-01-27 12:14 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/11076
#14 - 2014-03-26 22:20 - Gerrit Code Review

Patch set 13 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/11076

#15 - 2015-01-08 21:08 - Gerrit Code Review

Patch set 14 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/11076

#16 - 2015-01-09 09:02 - Gerrit Code Review

Patch set 15 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/11076

2015-08-04 3/3

https://review.typo3.org/11076
http://review.typo3.org/11076
http://review.typo3.org/11076

